#
# spec file for package fusesmb
#
# Copyright (c) 2023 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           fusesmb
BuildRequires:  automake
BuildRequires:  fuse-devel
BuildRequires:  glib2-devel
BuildRequires:  libsmbclient-devel
BuildRequires:  samba-client
Requires:       fuse
Summary:        SMB for FUSE
License:        GPL-2.0-or-later
Group:          System/Filesystems
Version:        0.8.7
Release:        lp160.1.2
Source:         %{name}-%{version}.tar.bz2
Patch0:         search_path_fix.patch
Patch1:         single_thread.patch
URL:            http://www.ricardis.tudelft.nl/~vincent/fusesmb/
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
SMB for fuse (FUSE) is a filesystem which allows to mount a full
Network Neighborhood with samba (Samba) and other SMB shares. It works
like smbfs, but instead of accessing one share at a time, all computers
and workgroups are accessible at once from a single filesystem mount,
making network browsing just as easy as it is on Windows.

%prep
%autosetup -p1

%build
autoreconf -fi
CFLAGS="%{optflags} `pkg-config --cflags smbclient`"
%configure
make %{?_smp_mflags}

%install
make DESTDIR="$RPM_BUILD_ROOT" install

%files
%defattr(-,root,root)
%doc AUTHORS COPYING* ChangeLog README* TODO
%{_bindir}/*
%{_mandir}/*/fusesmb*

%changelog
* Mon Feb 26 2024 Dominique Leuenberger <dimstar@opensuse.org>
- Use %%autosetup macro. Allows to eliminate the usage of deprecated
  PatchN.
* Mon Nov  6 2023 Dominique Leuenberger <dimstar@opensuse.org>
- Fix build with RPM 4.19: unnumbered patches are no longer
  supported.
* Wed Sep 11 2013 pgajdos@suse.com
- detect libsmbclient
* Sat May 26 2012 jengelh@inai.de
- Remove redundant tags/sections from specfile
- Parallel build with %%_smp_mflags
* Thu Dec  1 2011 coolo@suse.com
- add automake as buildrequire to avoid implicit dependency
* Tue Mar 22 2011 coolo@novell.com
- licenses package is about to die
* Mon Jan 26 2009 mszeredi@suse.de
- Fix crash by running in single threaded mode (bnc#467184)
* Fri Nov 23 2007 mszeredi@suse.de
- update to version 0.8.7 (fixes #338527)
- fix searching for fusesmb.cache in path
* Fri Aug 10 2007 bk@suse.de
- Add "Requires: fuse" to ensure that fuse is present (285101#c29)
- Remove empty NEWS file and symlink COPYING file from licenses
* Tue May  9 2006 cthiel@suse.de
- update to version 0.8.5 (fixes licensing)
* Sun Apr 23 2006 cthiel@suse.de
- initial package (version 0.8.4)
